<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/nav_family_management"
    app:startDestination="@id/familyListFragment">

    <fragment
        android:id="@+id/familyListFragment"
        android:name="com.rdiot.yx485.ui.family.FamilyListFragment"
        android:label="FamilyListFragment"
        tools:layout="@layout/fra_family_list">
        <action
            android:id="@+id/action_familyListFragment_to_familyInfoFragment"
            app:destination="@id/familyInfoFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
        <action
            android:id="@+id/action_familyListFragment_to_addFamilyFragment"
            app:destination="@id/addFamilyFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>
    <fragment
        android:id="@+id/familyInfoFragment"
        android:name="com.rdiot.yx485.ui.family.FamilyInfoFragment"
        android:label="FamilyInfoFragment"
        tools:layout="@layout/fra_family_info">
        <action
            android:id="@+id/action_familyInfoFragment_to_addMemberFragment"
            app:destination="@id/addMemberFragment"
            app:enterAnim="@anim/slide_in_right"
            app:exitAnim="@anim/slide_out_left"
            app:popEnterAnim="@anim/slide_in_left"
            app:popExitAnim="@anim/slide_out_right" />
    </fragment>
    <fragment
        android:id="@+id/addMemberFragment"
        android:name="com.rdiot.yx485.ui.family.InviteMemberFragment"
        android:label="AddMemberFragment"
        tools:layout="@layout/fra_add_member" />
    <fragment
        android:id="@+id/addFamilyFragment"
        android:name="com.rdiot.yx485.ui.family.AddFamilyFragment"
        android:label="AddFamilyFragment"
        tools:layout="@layout/fra_add_family" />
</navigation>